<template>
  <!-- 新增卸船作业 -->
  <div class="shipTransport">
    <page-title>返回</page-title>
    <!-- 第一部分 -->
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick()">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option" @radio-change="currentRadioChange">
    </dilTable>
    <div class="form">
      <!-- 第二部分 -->
      <div class="form_box">
        <dil-form :formId="121" v-model="form"></dil-form>
      </div>
    </div>
    <div class="button_box_unloadShip">
      <el-button type="primary" :loading="isLoading" @click="makeSure"
        >新增卸船作业</el-button
      >
    </div>
  </div>
</template>

<script>
import PageTitle from '@/components/Page/Title'
import { sjTime } from '@/utils/sharedJsFile'
import { getCookie } from '@/utils/util.js'
export default {
  components: { PageTitle },
  data() {
    return {
      input: '',
      isLoading: false,
      restaurants: [],
      state: '',
      form: {},
      option: {
        // 表格请求数据的地址
        requestUrl: '/api/v1/tms/getCapacityList?apiId=138',
        // 控制显示当选列
        selectionType: 'radio'
      },
      unloadMap: {}
    }
  },
  computed: {
    a1() {
      return this.form.resultEndTime
    }
  },
  watch: {
    a1() {
      this.unloadShipMes()
    }
  },
  methods: {
    unloadShipMes() {
      if (
        typeof this.form.resultStartTime == 'undefined' ||
        this.form.resultStartTime == null ||
        this.form.resultStartTime == 'null' ||
        this.form.resultStartTime == 'undefined'
      ) {
        this.$message.warning('请先填写卸船开始时间！')
        this.form.resultEndTime = null
      }
      return
    },
    currentRadioChange(row) {
      this.unloadMap = {}
      this.unloadMap = row
      console.log(row)
    },
    onclick() {
      this.option.requestUrl =
        '/api/v1/tms/getCapacityList?apiId=138&con=' + this.input
    },
    // 新增
    makeSure() {
      this.isLoading = true
      console.log(this.unloadMap)
      if (JSON.stringify(this.unloadMap).length == 2) {
        this.$message.error('请先选择卸船的船只！')
        this.isLoading = false
        return
      }
      if(this.form.resultStartTime > new Date()){
         this.$message.error("卸船开始时间不能大于当前时间！");
         this.isLoading=false;
         return;
      }
      if (
        !this.form.resultArrivalDate ||
        !this.form.resultStartTime ||
        !this.form.resultEndTime ||
        !this.form.resultStatus
      ) {
        this.$message.warning("请填写时间信息！");
        this.isLoading = false
        return;
      }
      let resultArrivalDate = null
      let resultStartTime = null
      let resultEndTime = null
      if (this.form.resultArrivalDate ) {
        resultArrivalDate = sjTime(this.form.resultArrivalDate)
      }
      if (this.form.resultStartTime) {
        resultStartTime = sjTime(this.form.resultStartTime)
      }
      if (this.form.resultEndTime) {
        resultEndTime = sjTime(this.form.resultEndTime)
      }
      let mapVal = {
        resultArrivalDate: resultArrivalDate,
        resultStartTime: resultStartTime,
        resultEndTime: resultEndTime,
        resultStatus: this.form.resultStatus
      }
      this.axios
        .post('/api/v1/tms/addUnLoadShip', {
          mapVal: mapVal,
          unloadMap: this.unloadMap,
          userId: getCookie('userId')
        })
        .then(res => {
          if (res.data.code == 200) {
            this.$message({
              type: 'success',
              message: '新增成功!'
            })
            // this.$refs.table.refreshData();
            this.$router.go(-1)
          } else {
            this.$message.error('新增失败！')
          }
          this.isLoading = false
        })
    },
    loadAll() {
      return []
    },
    handleSelect(item) {
      console.log(item)
    }
  }
}
</script>
<style lang="scss">
.shipTransport {
  .form {
    display: flex;
    .form_box {
      width: 320px;
      margin-left: 35%;
      margin-top: 30px;
      margin-right: 20px;
      .el-form {
        .preview-group {
          .el-form-item {
            .el-form-item__label {
              display: inline-block;
              width: 70px !important;
            }
            .el-form-item__content {
              .el-select {
                width: 250px;
              }
              .el-input {
                width: 250px;
              }
            }
          }
        }
      }
    }
  }
  .top {
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
  .button_box_unloadShip {
    margin-left: 45%;
    width: 160px;
  }
}
</style>
